Subject: [bug#53878] [PATCH v5 13/22] gnu: chez-scheme: Use "lib/chez-scheme" for search path.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 26 Feb 2022 15:34:27 +0100

Am Samstag, dem 26.02.2022 um 08:02 -0500 schrieb Philip McGrath:
> There does not seem to be any widely accepted standard path to use
> for
> "CHEZSCHEMELIBDIRS". Using a path without a version number in it
> avoids
> having to compute the actual path everywhere, which would be
> especially
> unpleasant when support is added for the Racket variant of Chez
> Scheme,
> which always has a different version number than upstream.
> 
> * gnu/packages/chez.scm (chez-scheme)[native-search-paths]: Change to
> use "lib/chez-scheme" instead of "lib/csvX.Y.Z-site" for
> "CHEZSCHEMELIBDIRS".
> (chez-srfi, chez-web, chez-sockets, chez-matchable, chez-irregex,
> chez-fmt, chez-mit, chez-scmutils): Update accordingly. Also, remove
> input labels and use G-expressions.
I do think we ought to divorce the functional changes from the style
changes, but I'm willing to let this one slide.

Cheers